---
title: "M-Menuplan API"
url: "https://developer.migros.ch/apis/m-menuplan-api-1/versions/e5598a88-4f00-47ee-a264-df022bb82e77"
---

# M-Menuplan API

OpenAPI specification document.

```json
{"openapi":"3.0.4","info":{"title":"M-Menuplan API","description":"An API to query the menu plans of restaurants that use the M-Menüplan application for their planning.","contact":{"name":"GMZ-IT Services und Lösungen","email":"informatik@gmz.migros.ch"},"version":"1.0"},"servers":[{"url":"https://api.migros.ch/"}],"paths":{"/migros/products/menuplan/v1/{tenant}/{subtenant}/LineDefinitions":{"get":{"tags":["MasterData"],"description":"Retrieve a list of line definitions.","operationId":"getLineDefinitions","parameters":[{"name":"SearchTerm","in":"query","schema":{"type":"string"}},{"name":"Name","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string"}},{"name":"Owner","in":"query","schema":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.Owner"}},{"name":"Type","in":"query","schema":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.PlanningType"}},{"name":"IsActive","in":"query","schema":{"type":"boolean"}},{"name":"IsVisibleOnline","in":"query","schema":{"type":"boolean"}},{"name":"Usage.Year","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"Usage.IsoWeek","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"Usage.Owner","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.Owner"}},{"name":"OrderBy","in":"query","schema":{"type":"string"}},{"name":"PageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}},{"name":"subtenant","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}},"security":[{"apiKeyAuth":[]}]}},"/migros/products/menuplan/v1/{tenant}/{subtenant}/LineDefinitions/{lineDefinitionId}":{"get":{"tags":["MasterData"],"description":"Get the line definition by id.","operationId":"getLineDefinitionById","parameters":[{"name":"lineDefinitionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}},{"name":"subtenant","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}},"application/json":{"schema":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}},"text/json":{"schema":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error"}},"security":[{"apiKeyAuth":[]}]}},"/migros/products/menuplan/v1/{tenant}/{subtenant}/PlannedEntries":{"get":{"tags":["Plans"],"description":"Retrieve planned entries.","operationId":"getPlannedEntries","parameters":[{"name":"DateFrom","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"DateTo","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"LineDefinitionId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"LineDefinitionIdentifier","in":"query","schema":{"type":"string"}},{"name":"IsVisibleOnline","in":"query","schema":{"type":"boolean"}},{"name":"tenant","in":"path","required":true,"schema":{"type":"string"}},{"name":"subtenant","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.PlannedEntryView"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.PlannedEntryView"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.PlannedEntryView"}}}}}},"security":[{"apiKeyAuth":[]}]}}},"components":{"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"Migros.MRezept.Units.Unit":{"enum":[0,1,2,5,6,11,12,13,14,24,34,40,50,51],"type":"integer","format":"int32"},"Migros.MenuPlan.Infrastructure.Enums.ClaimGroupType":{"enum":[1],"type":"integer","format":"int32"},"Migros.MenuPlan.Infrastructure.Enums.OfferStatus":{"enum":[1,2,3,4],"type":"integer","format":"int32"},"Migros.MenuPlan.Infrastructure.Enums.Owner":{"enum":[1,2],"type":"integer","format":"int32"},"Migros.MenuPlan.Infrastructure.Enums.PlanningType":{"enum":[1,2],"type":"integer","format":"int32"},"Migros.MenuPlan.Service.Queries.ViewModels.AssetView":{"required":["contentLength","contentType","createdByGivenname","createdById","createdBySurname","fileName","id"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"contentType":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"contentLength":{"type":"integer","format":"int64"},"createdById":{"type":"string","format":"uuid"},"createdByGivenname":{"type":"string","nullable":true},"createdBySurname":{"type":"string","nullable":true}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.ClaimGroupView":{"required":["id","isActive","nameTranslations","type"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"nameTranslations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"isActive":{"type":"boolean"},"type":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.ClaimGroupType"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.ClaimView":{"required":["claimGroup","claimGroupId","id","isActive","nameTranslations"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"claimGroupId":{"type":"string","format":"uuid"},"nameTranslations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"isActive":{"type":"boolean"},"claimGroup":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.ClaimGroupView"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.LabelView":{"required":["id","identifier","isActive","nameTranslations"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"identifier":{"type":"string","nullable":true},"nameTranslations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"isActive":{"type":"boolean"},"asset":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.AssetView"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView":{"required":["id","identifier","isActive","isVisibleOnline","nameTranslations","owner","type"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"identifier":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.PlanningType"},"owner":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.Owner"},"nameTranslations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"isActive":{"type":"boolean"},"isVisibleOnline":{"type":"boolean"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.OfferLineOverviewView":{"required":["id","lineDefinition","lineDefinitionId","nameTranslations","order","salesPrice","trayCount"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"lineDefinitionId":{"type":"string","format":"uuid"},"nameTranslations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"order":{"type":"integer","format":"int32"},"trayCount":{"type":"integer","format":"int32"},"salesPrice":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.QuantifiedPriceView"},"lineDefinition":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LineDefinitionView"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.OfferOverviewPublicView":{"required":["claims","id","nameTranslations","number","owner","status","type"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"number":{"type":"string","nullable":true},"nameTranslations":{"type":"object","additionalProperties":{"type":"string"},"nullable":true},"descriptionTranslations":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"},"nullable":true},"nullable":true},"type":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.PlanningType"},"status":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.OfferStatus"},"owner":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.Owner"},"salesPrice":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.QuantifiedPriceView"},"claims":{"type":"array","items":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.ClaimView"},"nullable":true},"label":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.LabelView"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.PlanOverviewView":{"required":["id","name","type"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"type":{"$ref":"#/components/schemas/Migros.MenuPlan.Infrastructure.Enums.PlanningType"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.PlannedEntryView":{"required":["date","id","offer","offerLine","plan","position"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"date":{"type":"string","format":"date-time"},"position":{"type":"integer","format":"int32"},"offerLine":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.OfferLineOverviewView"},"offer":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.OfferOverviewPublicView"},"plan":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.PlanOverviewView"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.QuantifiedPriceView":{"required":["quantity","value"],"type":"object","properties":{"quantity":{"$ref":"#/components/schemas/Migros.MenuPlan.Service.Queries.ViewModels.WeightView"},"value":{"type":"number","format":"double"}},"additionalProperties":false},"Migros.MenuPlan.Service.Queries.ViewModels.WeightView":{"required":["unit","value"],"type":"object","properties":{"value":{"type":"number","format":"double"},"unit":{"$ref":"#/components/schemas/Migros.MRezept.Units.Unit"}},"additionalProperties":false}},"securitySchemes":{"apiKeyAuth":{"type":"apiKey","name":"api-key","in":"header"}}},"x-company":"migros","x-edm-domain":"products","x-headmatter":{"readable_by":"*"},"x-leanix-id":"1653ee44-ce9d-4c31-8a3e-8ed254ac39ad"}
```
